SimpleDotState (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.SimpleDotState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp
Class SimpleDotState

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.symbol.AbstractSymbol
              org.biojava.bio.symbol.FundamentalAtomicSymbol
                  org.biojava.bio.dp.SimpleDotState

All Implemented Interfaces:
  Serializable, Annotatable, DotState, State, AtomicSymbol, BasisSymbol, Symbol, Changeable

    public class SimpleDotState

extends FundamentalAtomicSymbol
implements DotState, Serializable

A Dot state that you can make and use.

Dot states emit no sequence. They are there purely to make the wireing of the model look neater, and to cut down the number of combinatorial transitions that can so easily swamp models.

Author:
  Matthew Pocock, Thomas Down
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from class org.biojava.bio.symbol.AbstractSymbol
`annotationForwarder`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Constructor Summary
`SimpleDotState(char token, String name, Annotation annotation)` Deprecated. token is ignored since 1.2. Use the 2-arg constructor instead.
`SimpleDotState(String name)`
`SimpleDotState(String name, Annotation annotation)` Construct a new state with the specified name and annotation

Method Summary

Methods inherited from class org.biojava.bio.symbol.FundamentalAtomicSymbol
`getAnnotation, getMatches, getName, getSymbols`

Methods inherited from class org.biojava.bio.symbol.AbstractSymbol
`getChangeSupport, toString`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.biojava.bio.symbol.BasisSymbol
`getSymbols`

Methods inherited from interface org.biojava.bio.symbol.Symbol
`getMatches, getName`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Constructor Detail

### SimpleDotState

    public SimpleDotState(char token,
                          String name,
                          Annotation annotation)

  Deprecated. token is ignored since 1.2. Use the 2-arg constructor instead.

  Construct a new state with the specified name and annotation. The token parameter is ignored but included for compatibility.

### SimpleDotState

    public SimpleDotState(String name,
                          Annotation annotation)

  Construct a new state with the specified name and annotation

### SimpleDotState

    public SimpleDotState(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD